%{?mingw_package_header}

%global name1 mpfr

Summary:        MinGW C library for multiple-precision floating-point computations
Name:           mingw-%{name1}
Version:        3.1.4
Release:        %mkrel 1
URL:            http://www.mpfr.org/
Source0:        http://www.mpfr.org/mpfr-%{version}/%{name1}-%{version}.tar.xz
# GFDL  (mpfr.texi, mpfr.info and fdl.texi)
License:        LGPLv3+ and GPLv3+ and GFDL
Group:          System/Libraries
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gmp
BuildRequires:  mingw64-gmp
BuildArch:      noarch

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

# Mingw32
%package -n mingw32-%{name1}
Summary:        %{summary}

%description -n mingw32-%{name1}
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

This package contains cross-compiled libraries and development tools
for Windows.

# Mingw64
%package -n mingw64-%{name1}
Summary:        %{summary}

%description -n mingw64-%{name1}
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

This package contains cross-compiled libraries and development tools
for Windows.

%{?mingw_debug_package}

%prep
%setup -q -n %{name1}-%{version}

%build
%mingw_configure --disable-assert --disable-static --enable-shared
%mingw_make %{?_smp_mflags}

%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}
rm -rf $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{mingw64_libdir}/*.la

%files -n mingw32-%{name1}
%doc COPYING COPYING.LESSER NEWS README
%{mingw32_bindir}/libmpfr-4.dll
%{mingw32_libdir}/libmpfr.dll.a
%{mingw32_includedir}/*.h

%files -n mingw64-%{name1}
%doc COPYING COPYING.LESSER NEWS README
%{mingw64_bindir}/libmpfr-4.dll
%{mingw64_libdir}/libmpfr.dll.a
%{mingw64_includedir}/*.h



%changelog
* Wed May 11 2016 tv <tv> 3.1.4-1.mga6
+ Revision: 1012738
- imported package mingw-mpfr

